#
# spec file for package bing (Version 1.0.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           bing
License:        BSD
Group:          Productivity/Networking/Diagnostic
PreReq:         permissions
Autoreqprov:    on
URL:            http://www.freenix.fr/freenix/logiciels/bing.html
Summary:        A Point-to-Point Bandwidth Measurement Tool
Version:        1.0.5
Release:        13.2
Source:         bing-%{version}.tar.bz2
Patch0:         bing-%{version}.dif
Patch1:         %{name}-%{version}-permissions.patch
Patch2:         %{name}-%{version}-includes.diff
Patch3:         %{name}-%{version}-moresecure.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bing determines the real (raw, as opposed to available or average)
throughput of a link by measuring ICMP echo request round trip times
for different packet sizes for each end of the link.



Authors:
--------
    Pierre Beyssac <pb@fasterix.freenix.fr>

%debug_package
%prep
%setup
%patch
%patch1
%patch2
%patch3 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_mandir}/man8,usr/bin}
make install MANDIR=$RPM_BUILD_ROOT/%{_mandir} BINDIR=$RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_permissions

%verifyscript
%verify_permissions -e /usr/bin/bing

%files
%defattr(-,root,root)
%verify(not mode) %attr(4750,root,trusted) /usr/bin/bing
%doc %{_mandir}/man8/bing.*
%doc bing.ps
%doc ChangeLog README

%changelog -n bing
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jul 11 2005 - postadal@suse.cz
- updated to version 1.0.5
- bziped
* Wed Jan 26 2005 - meissner@suse.de
- added RPM_OPT_FLAGS. Fixed some bugs.
- Moved privilege drop up to earliest place.
* Thu Nov 11 2004 - ro@suse.de
- permission handling fixes
* Mon Aug 23 2004 - postadal@suse.cz
- added missing include arpa/inet.h [#43637]
* Wed Jun 23 2004 - hmacht@suse.de
- building as non root user
- added patch to correct owner/group
* Tue Apr 06 2004 - kukuk@suse.de
- Fix default permissions
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Jan 24 2001 - nadvornik@suse.de
- fixed usage of %%{_mandir}
* Wed Apr 26 2000 - nadvornik@suse.cz
- added URL
- changed Group
* Fri Apr 07 2000 - nadvornik@suse.cz
- added BuildRoot
* Wed Feb 02 2000 - ro@suse.de
- applied another security fix
* Wed Jan 26 2000 - ro@suse.de
- applied small security fix
* Mon Jan 17 2000 - ro@suse.de
- man to usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jun 17 1998 - ro@suse.de
- changed "ifdef linux" to "defined linux && !defined __NETINET_IP_ICMP_H"
  to build with libc5 and glibc
* Thu Nov 27 1997 - bs@suse.de
- compressed man page
* Fri Oct 31 1997 - ro@suse.de
- first suse version 1.0.4
